repo/gentoo:master commit in: dev-python/wrapt/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786069741.263f1d3d28bf8c015af69dcd99b6f127a291cc9a.mgorny@gentoo> |
commit: 263f1d3d28bf8c015af69dcd99b6f127a291cc9a
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 7 02:06:08 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 7 02:29:01 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=263f1d3d
dev-python/wrapt: Bump to 2.4.0_rc1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/wrapt/Manifest | 2 ++
dev-python/wrapt/wrapt-2.4.0_rc1.ebuild | 40 +++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-python/wrapt/Manifest b/dev-python/wrapt/Manifest
index ecc8104a7714..b13654220118 100644
--- a/dev-python/wrapt/Manifest
+++ b/dev-python/wrapt/Manifest
@@ -4,3 +4,5 @@ DIST wrapt-2.2.2.tar.gz 129068 BLAKE2B 6883abedc321b7ec047e0a31ffd78b8a297be4db7
DIST wrapt-2.2.2.tar.gz.provenance 10194 BLAKE2B a001104495c74bf3f5644753a7c509e1144945030f9ed4f25c0d7daf158fd625c2f2ef449f86597e40c9b1285591eb8ea99c68b9a2e7b42bc39a79fef04eb3ea SHA512 24b82551e3624fbbfcde21b97d7ade1fb7e29406f55c18522b5f41723ab22a3f9cfd7f142ae85dee8fb0aa1bc3ded9dbe14e0fe6b5e38c447c529b9c6319c47f
DIST wrapt-2.3.0.tar.gz 131509 BLAKE2B 6cbc4c7af17e1dbaccaa0c9999331fe7219b9bd8dfd8059ab006e2d33ecdac9a051edc368171e245fee885384a1dd50f056409277e181669b88fbb6ab3fecc2f SHA512 60605992677fe99fdf3328197486b77ec55d1b22e0072c4ab03eff423b5e91a31007fd780cd20676040714f895d3f7cf26b324b6c74bf53a02ceee1224a4c0ea
DIST wrapt-2.3.0.tar.gz.provenance 10335 BLAKE2B f941e218d992f29ac5cf5027c17951f490482fdb7d3234faedde6d20e9a5ba54c290c66cd8d8bff336fd38c27cdb7573c3134891f0af206c508ce3339d8e2d6e SHA512 7e945775ace3936f825bd7f79b1bd58f2f0f8c40a2fc410e3ddfad18838fcbe0e35475f9af0240538fb3a76bbb257c02400b2d0db1375cb6539cd4bbf32ba1c4
+DIST wrapt-2.4.0rc1.tar.gz 137162 BLAKE2B 0611a54fb83b3dc8435608a20ecec4a7daed64999cf601c3b21576b8e35e77f11f1d83b9c2a3d8f7f6f131632f7ba9ee72b409628ba1288ff217df8315736983 SHA512 2d49bbf9343b6aeea7486a639ff5946e29f55a5fae41556f7df73fda6a4606ea2e30324c2f7429bb02be7be1035ae72a2d5c952e7a94807467b8f764b8cb8750
+DIST wrapt-2.4.0rc1.tar.gz.provenance 10066 BLAKE2B b5aa70a9ef9c10c0c23d4fab3b51371f280518ecfdf538a18ddae381d6bbf406bc118ea56755bad337230ab0f07ce43105144aab60fd520a99ab8e936fb681a2 SHA512 5205a78701662a5a35c312a8d3bd02c89b26de51df3e9fd0a7e9f4f3be99023e8d72790d5a3334b536b0e4aece15592a87b9419c643d28906b692f4b71624fec
diff --git a/dev-python/wrapt/wrapt-2.4.0_rc1.ebuild b/dev-python/wrapt/wrapt-2.4.0_rc1.ebuild
new file mode 100644
index 000000000000..e683309d8672
--- /dev/null
+++ b/dev-python/wrapt/wrapt-2.4.0_rc1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/GrahamDumpleton/wrapt
+PYTHON_COMPAT=( python3_{12..15} python3_{14,15}t )
+
+inherit distutils-r1 pypi
+
+MY_P=${P/_}
+DESCRIPTION="Module for decorators, wrappers and monkey patching"
+HOMEPAGE="
+ https://github.com/GrahamDumpleton/wrapt/
+ https://pypi.org/project/wrapt/
+"
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_rc* ]]; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+fi
+IUSE="+native-extensions"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # skip mypy tests, they are fragile
+ rm -r tests/mypy || die
+}
+
+python_compile() {
+ local -x WRAPT_INSTALL_EXTENSIONS=$(usex native-extensions true false)
+ distutils-r1_python_compile
+}